| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
clock_17xx_40xx.c File Reference
`#include "chip.h"`

Go to the source code of this file.

## Functions
void | Chip_Clock_EnablePLL (CHIP_SYSCTL_PLL_T pllNum, uint32_t flags)
| Enables or connects a PLL.
void | Chip_Clock_DisablePLL (CHIP_SYSCTL_PLL_T pllNum, uint32_t flags)
| Disables or disconnects a PLL.
void | Chip_Clock_SetupPLL (CHIP_SYSCTL_PLL_T pllNum, uint32_t msel, uint32_t psel)
| Sets up a PLL.
void | Chip_Clock_EnablePeriphClock (CHIP_SYSCTL_CLOCK_T clk)
| Enables power and clocking for a peripheral.
void | Chip_Clock_DisablePeriphClock (CHIP_SYSCTL_CLOCK_T clk)
| Disables power and clocking for a peripheral.
bool | Chip_Clock_IsPeripheralClockEnabled (CHIP_SYSCTL_CLOCK_T clk)
| Returns power enables state for a peripheral.
void | Chip_Clock_SetCPUClockSource (CHIP_SYSCTL_CCLKSRC_T src)
| Sets the current CPU clock source.
CHIP_SYSCTL_CCLKSRC_T | Chip_Clock_GetCPUClockSource (void)
| Returns the current CPU clock source.
void | Chip_Clock_SetCPUClockDiv (uint32_t div)
| Sets the CPU clock divider.
uint32_t | Chip_Clock_GetCPUClockDiv (void)
| Gets the CPU clock divider.
void | Chip_Clock_SetUSBClockSource (CHIP_SYSCTL_USBCLKSRC_T src)
| Sets the USB clock divider source.
void | Chip_Clock_SetUSBClockDiv (uint32_t div)
| Sets the USB clock divider.
uint32_t | Chip_Clock_GetUSBClockDiv (void)
| Gets the USB clock divider.
void | Chip_Clock_SetCLKOUTSource (CHIP_SYSCTL_CLKOUTSRC_T src, uint32_t div)
| Set CLKOUT clock source and divider.
uint32_t | Chip_Clock_GetSYSCLKRate (void)
| Returns the current SYSCLK clock rate.
uint32_t | Chip_Clock_GetMainPllOutClockRate (void)
| Return PLL0 (Main PLL) output clock rate.
uint32_t | Chip_Clock_GetUSBPllOutClockRate (void)
| Return USB PLL output clock rate.
uint32_t | Chip_Clock_GetMainClockRate (void)
| Return main clock rate.
uint32_t | Chip_Clock_GetSystemClockRate (void)
| Return system clock rate.
uint32_t | Chip_Clock_GetUSBClockRate (void)
| Gets the USB clock (USB_CLK) rate.
void | Chip_Clock_SetSPIFIClockSource (CHIP_SYSCTL_SPIFICLKSRC_T src)
| Sets the SPIFI clock divider source.
void | Chip_Clock_SetSPIFIClockDiv (uint32_t div)
| Sets the SPIFI clock divider.
uint32_t | Chip_Clock_GetSPIFIClockRate (void)
| Returns the SPIFI clock rate.
uint32_t | Chip_Clock_GetPeripheralClockRate (void)

## Function Documentation

uint32_t Chip_Clock_GetPeripheralClockRate | ( | void |  | ) |

Definition at line 503 of file clock_17xx_40xx.c.